#
# HTTPS server configuration
#

server {
    listen       443 ssl http2 default_server;
    listen       [::]:443 ssl;
    server_name  _;
    root         html;

    ssl_certificate       cert/sample.cacrt.server.pem;
    ssl_certificate_key   cert/sample.nokey.server.pem;

    ssl_session_cache shared:SSL:1m;
    ssl_session_timeout  10m;
    ssl_ciphers                 ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES128-GCM-SHA256;

    ssl_prefer_server_ciphers on;
    ssl_protocols TLSv1.2 TLSv1.3; # Dropping SSLv3, ref: POODLE

    location / {
    }

    error_page 404 /404.html;
        location = /40x.html {
    }

    error_page 500 502 503 504 /50x.html;
        location = /50x.html {
    }
}

